1. API reference
  2. Workspace

Get workspace details

GEThttps://howdybell.com/api/v1/workspace

Returns the current workspace information including its name and a list of all associated locations. Each location includes its ID, name, city, state, and timezone.

Responses

200

  • idstring
  • namestring
  • locationsstring
RequestcURL
curl -X GET "https://howdybell.com/api/v1/workspace" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "id": 1,
  "name": "Victoria Cycle Works",
  "locations": [
    {
      "id": 2,
      "name": "Corpus Christi Cycle Works",
      "city": "Corpus Christi",
      "state": "TX",
      "timezone": "America/Chicago"
    },
    {
      "id": 4,
      "name": "Demo Shop Houston",
      "city": "Houston",
      "state": "TX",
      "timezone": "America/Chicago"
    }
  ]
}
Get workspace details (GET /api/v1/workspace) | HowdyBell Developers